#include "StreamClientState.h"
#include <ctime>


StreamClientState::StreamClientState(void)
	: iter(NULL), session(NULL), subsession(NULL), streamTimerTask(NULL), duration(0.0), qtOut(NULL), eventLoopWatchVariable(0),
	error(false), totNumPacketsReceived(0),timesCheckedPackets(0), packetsTask(NULL), filePath("C:\\Users\\fazion\\Desktop\\videolive\\")
{
}


StreamClientState::~StreamClientState(void)
{
	delete iter;
	if (session != NULL) {
		// Deletar "session" e "streamTimerTask" 
		UsageEnvironment& env = session->envir(); // alias
		env.taskScheduler().unscheduleDelayedTask(packetsTask);
		packetsTask = NULL;
		env.taskScheduler().unscheduleDelayedTask(streamTimerTask);
		Medium::close(session);
	}
}

const char* StreamClientState::getFileToSave(void) 
{
	char * result = new char[100];
	sprintf(result,"%s%s",filePath,fileName);
	return result;
}
