#pragma once
#include "liveMedia.hh"
#include "BasicUsageEnvironment.hh"
#include <exception>

class StreamClientState
{
public:
	StreamClientState(void);
	virtual ~StreamClientState(void);
	const char* getFileToSave(void);
	

	MediaSubsessionIterator* iter;
	MediaSession* session;
	MediaSubsession* subsession;
	TaskToken streamTimerTask;
	QuickTimeFileSink* qtOut;
	double duration;
	char eventLoopWatchVariable;
	bool error;
	unsigned totNumPacketsReceived;
	int timesCheckedPackets;
	TaskToken packetsTask;
	const char* filePath;
	const char* fileName;
	int withClient;
	int heigthClient; 
	int frameClient;
	int bufferClient;
};

